package istia.st.springmvc.exemples.metier;

import java.util.ArrayList;
import java.util.List;

public class MetierImpl implements IMetier {

	// une liste de noms
	private ArrayList noms;

	public ArrayList getNoms() {
		return noms;
	}

	public void setNoms(ArrayList noms) {
		this.noms = noms;
	}

	// ajouter de nouveaux noms
	public synchronized void add(List nouveaux) {
		this.noms.addAll(nouveaux);
	}

	// supprimer certains noms
	public synchronized void delete(List nomsAEnlever) {
		this.noms.removeAll(nomsAEnlever);
	}

	// liste de tous les noms
	public synchronized List getAll() {
		return this.noms;
	}

}
