package istia.st.springmvc.exemples.web;

import org.springframework.validation.Errors;
import org.springframework.validation.Validator;

public class ValidateurDocument implements Validator {

	public boolean supports(Class classe) {
		// valide les classes de type Document ou driv
		return classe.isAssignableFrom(Document.class);
	}

	public void validate(Object objet, Errors erreurs) {
		// on rcupre le document
		Document document = (Document) objet;
		// on vrifie son nom
		String nom = document.getNom();
		if (nom == null || nom.trim().length() == 0) {
			erreurs.rejectValue("nom", "document.nom.obligatoire");
		}
	}

}
