package istia.st.springmvc.exemples.web;

import java.awt.Color;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.view.document.AbstractPdfView;

import com.lowagie.text.Document;
import com.lowagie.text.Element;
import com.lowagie.text.Paragraph;
import com.lowagie.text.pdf.PdfPCell;
import com.lowagie.text.pdf.PdfPTable;
import com.lowagie.text.pdf.PdfWriter;

public class PdfView extends AbstractPdfView {

	protected void buildPdfDocument(Map modle, Document doc, PdfWriter writer, HttpServletRequest request, HttpServletResponse response) throws Exception {
		// on rcupre le formulaire dans le modle
		Formulaire form=(Formulaire)modle.get("formulaire");
		// une table  2 colonnes
		PdfPTable table = new PdfPTable(2);
		// une cellule
		PdfPCell cell = new PdfPCell(new Paragraph("Confirmation de vos saisies"));
		// qui prendra deux colonnes
		cell.setColspan(2);
		// et sera centr
		cell.setHorizontalAlignment(Element.ALIGN_CENTER);
		// ajout de la cellule  la table
		table.addCell(cell);
		// 1re ligne, 1re colonne
		cell=new PdfPCell(new Paragraph("Nom"));
		cell.setBackgroundColor(new Color(0xC0, 0xC0, 0xC0));
		cell.setHorizontalAlignment(Element.ALIGN_CENTER);
		table.addCell(cell);
		// 1re ligne, 2ime colonne
		cell=new PdfPCell(new Paragraph("Age"));
		cell.setBackgroundColor(new Color(0xC0, 0xC0, 0xC0));
		cell.setHorizontalAlignment(Element.ALIGN_CENTER);
		table.addCell(cell);
		// 2ime ligne, 1re colonne
		cell=new PdfPCell(new Paragraph(form.getNom()));
		cell.setBackgroundColor(new Color(0xA0, 0xB0, 0xC0));
		cell.setHorizontalAlignment(Element.ALIGN_CENTER);
		table.addCell(cell);
		// 2ime ligne, 2ime colonne
		cell=new PdfPCell(new Paragraph(""+form.getAge()));
		cell.setBackgroundColor(new Color(0xA0, 0xB0, 0xC0));
		cell.setHorizontalAlignment(Element.ALIGN_CENTER);
		table.addCell(cell);
		// ajout de la table au document
		doc.add(table);
		}
}
